import 'package:cargocalculaterapp/features/profile/data/models/profile_response.dart';
import 'package:cargocalculaterapp/features/profile/data/models/profile_update_request.dart';
import 'package:dartz/dartz.dart';
import '../../../../core/error/failure.dart';
import '../../data/models/delete_account_response.dart';

abstract class ProfileRepository {
  Future<Either<Failure, ProfileResponse>> getProfile(bool isCache);

  Future<Either<Failure, ProfileResponse>> updateProfile(
    ProfileUpdateRequest request,
  );

  Future<Either<Failure, DeleteAccountResponse>> deleteProfile();
}
